<h1 style="text-align: left;">100 последних Ваших игр</h1>
<script>
$(function(){
    $( "#dialogs" ).dialog({
      autoOpen: false,
      
    });
	$( ".dialog_row" ).click(function(e) {
	  e.preventDefault();
	  
	  var ids = $(this).attr("login_id");
	  var login = $(this).attr("login");
	  var md5 = $(this).attr("md5");
	  var primary_key = $(this).attr("primary_key");
	  
	  var bet = $(this).attr("bet");
	  if(bet == 1){
	     bet = 'Орел';
	  } else {
	     bet = 'Решка';
	  }
	  var datas = $(this).attr("datas");
	  var aaa = $(this).attr("idd");
	  var sss = 'Game: '+aaa+', ID: '+ids+', Created: '+login+' in '+datas+', Bet: '+bet+'. Primary key: '+primary_key;
	  $("#id").html(aaa);
	  $("#id_login").html(ids);
	  $("#login").html(login);
	  $("#md5_login").html(md5);
	  $("#primary_key").html(primary_key);
	  $("#sss").html(sss);
	  $("#datas").html(datas);
      $("#dialogs").dialog( "open");
	  $("#dialogs").dialog({ width: 530 });
	  
    });
});
</script>
<?php
db_connect();
	$res = db_query('SELECT * FROM `'.DBpref.'games_end` WHERE `login` = "'.db_string($_SESSION["login"]).'" OR `login2` = "'.db_string($_SESSION["login"]).'" ORDER BY `id` DESC LIMIT 100');
	
	
	


echo '
<table class="table1">
  <tr class="title">
    <td>Сумма</td>
    <td>Игрок 1</td>
    <td>Предмет 1</td>
    <td>Игрок 2</td>
    <td>Предмет 2</td>
	<td>Исход</td>
    <td>Время</td>
	<td>md5</td>
  </tr>
 ';
 
function ishod($i1,$i2){
	//return (($i1 == 1 AND $i2 == 1) OR ($i1 == 2 AND $i2 == 1) OR ($i1 == 2 AND $i2 == 2))?false:true;
	return (($i1 == 1 AND $i2 == 1) OR ($i1 == 2 AND $i2 == 1))?false:true;
}
function ishodec($arg){
	return ($arg==true)?"<font color=\"#0F680B\">Выигрыш</font>":"<font color=\"#f00\">Поражение</font>";
}
 
while($row = db_assoc($res)){ 
$ress = db_query('SELECT * FROM `'.DBpref.'users` WHERE `login` = "'.db_string($row["login"]).'"');
$rows = db_assoc($ress);
	
echo '
 <tr>
	<td>'.round($row['summa'] ,2).' руб.</td>
    <td><a target="_blank" href="/?p=wprofile&login='.htmlspecialchars($row['login']).'">'.htmlspecialchars($row['login']).'</a></td>
    <td>'.$knbItem[$row["item"]].'</td>
    <td><a target="_blank" href="/?p=wprofile&login='.htmlspecialchars($row['login2']).'">'.htmlspecialchars($row['login2']).'</a></td>
    <td>'.$knbItem[$row["item2"]].'</td>';
	
	if($row['item'] == $row["item2"]){
	   // победа одной из сторон если 
	   if($_SESSION["login"] == $row['login']){
	      echo '<td><font color="#f00">Поражение</font></td>';
	   } else {
	      echo '<td><font color="#0F680B">Выигрыш</font></td>';
	   }
	} else {
	   if($_SESSION["login"] == $row['login']){
	      echo '<td><font color="#0F680B">Выигрыш</font></td>';
	   } else {
	      echo '<td><font color="#f00\">Поражение</font></td>';
	   }
	}

    
	
	echo '<td>'.$row['dat'].'</td>';
	echo '<td><center><a href="#" class="dialog_row" idd="'.$row[id].'" login="'.$row[login].'" login_id="'.$rows[id].'" datas="'.$row[dat].'" md5="'.$row[md5].'" primary_key="'.md5($row[md5]).'" bet="'.$row[item].'" ids="'.$row[id].'" ><span class="protect_md5" title="Контроль невмешательства MD5"></span></a></center></li>
  </tr>';
 }
echo '</table>';
?>
<div class="" id="dialogs" title="Контроль невмешательства MD5">
  <p>Игра "КНБ", ID <b><span id="id_login"></span></b> (создатель: <b><span id="login"></span></b>).<br>
  MD5 Hash: <b><span id="md5_login"></span></b><br>
  MD5 Text: <br>
  <textarea cols="50" rows="4" id="sss"></textarea></p>
  
  
</div>